onEvent('item.modification', event => {
	event.modify("pamhc2foodcore:fruitpunchitem", (item) => {
		item.setFoodProperties((food) => {
			food.hunger(7);
			food.saturation(0.6);
		});
	})
	event.modify("pamhc2foodcore:sweetberrysmoothieitem", (item) => {
		item.setFoodProperties((food) => {
			food.hunger(7);
			food.saturation(0.5);
		});
	})
	event.modify("pamhc2foodcore:melonsmoothieitem", (item) => {
		item.setFoodProperties((food) => {
			food.hunger(7);
			food.saturation(0.5);
		});
	})
	event.modify("pamhc2foodcore:applesmoothieitem", (item) => {
		item.setFoodProperties((food) => {
			food.hunger(7);
			food.saturation(0.6);
		});
	})
	event.modify("pamhc2foodcore:p8juiceitem", (item) => {
		item.setFoodProperties((food) => {
			food.hunger(7);
			food.saturation(0.6);
		});
	})
	event.modify("pamhc2foodcore:applejuiceitem", (item) => {
		item.setFoodProperties((food) => {
			food.hunger(7);
			food.saturation(0.6);
		});
	})
	event.modify("pamhc2foodcore:melonjuiceitem", (item) => {
		item.setFoodProperties((food) => {
			food.hunger(7);
			food.saturation(0.5);
		});
	})
	event.modify("minecraft:rotten_flesh", (item) => {
		item.setFoodProperties((food) => {
			food.alwaysEdible();
		});
	})
	event.modify("pamhc2foodcore:caramelappleitem", (item) => {
		item.setFoodProperties((food) => {
			food.hunger(7);
			food.saturation(0.65);
		});
	})
	event.modify("pamhc2foodcore:pickledbeetsitem", (item) => {
		item.setFoodProperties((food) => {
			food.hunger(8);
			food.saturation(0.65);
		});
	})
	event.modify("pamhc2foodcore:fruitsaladitem", (item) => {
		item.setFoodProperties((food) => {
			food.hunger(9);
			food.saturation(0.65);
		});
	})
})